## com.bbn.openmap.tools.icon
Class OpenMapAppPartCollection.OpenMapAppPart

    java.lang.Object
      |
      +--com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart

Enclosing class:
  OpenMapAppPartCollection

public static class OpenMapAppPartCollection.OpenMapAppPart
extends java.lang.Object

Constructor Summary
`OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n, java.lang.String d, int[] xp, int[] yp)`
`OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n, java.lang.String d, int[] xp, int[] yp, java.awt.geom.AffineTransform affTrans)`

Method Summary
`IconPartCollectionEntry` `getEntry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenMapAppPartCollection.OpenMapAppPart

    public OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n,
                                                   java.lang.String d,
                                                   int[] xp,
                                                   int[] yp)

### OpenMapAppPartCollection.OpenMapAppPart

    public OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n,
                                                   java.lang.String d,
                                                   int[] xp,
                                                   int[] yp,
                                                   java.awt.geom.AffineTransform affTrans)

Method Detail

### getEntry

    public IconPartCollectionEntry getEntry()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details